Subject: Re: bug#69773: 29.2; Emacs Crashes on Startup Sometimes

From: Gerd Möllmann <[email-masked]>
Date: Thu, 14 Mar 2024 18:42:36 +0100

Stephen Molitor <[email-masked]> writes:

> Thanks for the response. Yes, I do see this warning on successful startup:
>
>> ⛔ Warning (initialization): An error occurred while loading ‘/Users/stephenmolitor/.emacs.d/init.el’:
>
>> error: Loading file /Users/stephenmolitor/.emacs.d/config/sm-package-lint.el failed to provide feature ‘sm-package-lint’
>
> That error is legitimate, I did forget the provided. I’ve fixed that
> and will see if that makes the crash goes away. It’s inconsistent
> though, but that change does seem to roughly coincide with when I
> first started noticing the crashing.

I would guess that it's just the fact that any warning is displayed that
leads to the problem.

> I am doing something unusual with the composition function table at startup:
>
>     (defvar sm-safe-table "[-,;A-Z_a-z]+")
>     (set-char-table-range composition-function-table t `([,sm-safe-table 0 font-shape-gstring]))
>
> I’m using a font (Commit Mono) that does “smart kerning”, to shift
> letters around a bit to even things out. I’ve noticed that it’s pretty
> touchy though - certain characters will cause the layout to go crazy.
> So that seems a little dicey to me.

That sounds more like it could be related, but I'm not a font or
composition expert, so I won't be of much help here, I'm afraid.